> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 호출자 위치 조회

> 사용자의 IP 주소를 기준으로 지리적 위치를 조회합니다.

이 API는 디버깅 목적으로 제공되며, 향후에는 제공되지 않을 수 있습니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json get /geolocate
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /geolocate:
    get:
      tags:
        - Service
      summary: 호출자 위치 조회
      description: |-
        사용자의 IP 주소를 기준으로 지리적 위치를 조회합니다.

        이 API는 디버깅 목적으로 제공되며, 향후에는 제공되지 않을 수 있습니다.
      operationId: get_caller_location_geolocate_get
      parameters:
        - description: 지리적 위치를 조회할 IP 주소입니다. 기본값은 클라이언트의 IP 주소입니다.
          in: query
          name: ip
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 지리적 위치를 조회할 IP 주소입니다. 기본값은 클라이언트의 IP 주소입니다.
            examples:
              - 1.2.3.4
            title: Ip
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeolocationRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
components:
  schemas:
    GeolocationRes:
      properties:
        allowed:
          default: false
          description: 이 IP 주소를 Inference에 사용할 수 있는지 여부입니다.
          title: Allowed
          type: boolean
        ip:
          description: 확인된 IP 주소로, 디버깅에 유용합니다.
          title: Ip
          type: string
        location:
          anyOf:
            - $ref: '#/components/schemas/Geolocation'
            - type: 'null'
          description: IP 주소의 위치 정보이며, 확인할 수 없는 경우 None입니다.
      required:
        - ip
      title: GeolocationRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Geolocation:
      properties:
        country_code:
          description: ISO 3166-1 Alpha-2 형식의 2자리 국가 코드
          title: Country Code
          type: string
        country_name:
          anyOf:
            - type: string
            - type: 'null'
          description: 국가 이름이며, 확인할 수 없는 경우 None입니다.
          title: Country Name
        file_index:
          description: CSV 파일의 행
          title: File Index
          type: integer
        range_end_int:
          description: 정수로 표현된 IP 범위의 끝
          title: Range End Int
          type: integer
        range_end_ip:
          description: 점으로 구분된 10진 표기법으로 표현된 IP 범위의 끝
          title: Range End Ip
          type: string
        range_start_int:
          description: 정수로 표현된 IP 범위의 시작
          title: Range Start Int
          type: integer
        range_start_ip:
          description: 점으로 구분된 10진 표기법으로 표현된 IP 범위의 시작
          title: Range Start Ip
          type: string
      required:
        - file_index
        - range_start_int
        - range_end_int
        - range_start_ip
        - range_end_ip
        - country_code
      title: Geolocation
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````